Bug 450996 - Windows needing attention do not get the "needs attention" status in the Task Manager on wayland
Summary: Windows needing attention do not get the "needs attention" status in the Task...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.24.2
Platform: Manjaro Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2022-03-01 09:21 UTC by Michael D
Modified: 2022-05-18 19:43 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael D 2022-03-01 09:21:46 UTC
Windows needing attention are not marked in the taskbar as needing attention in a wayland session. It works fine on X11.
Comment 1 Nate Graham 2022-03-22 01:38:54 UTC
Can confirm.
Comment 2 Marco Martin 2022-04-01 11:57:44 UTC
is this domain of the xdgactivation protocol?
Comment 3 David Edmundson 2022-04-05 14:49:27 UTC
>is this domain of the xdgactivation protocol?

Not specifically, no. That is exclusively about raises. There is no such protocol right now.
Comment 4 Marco Martin 2022-04-05 16:09:56 UTC
(In reply to David Edmundson from comment #3)
> >is this domain of the xdgactivation protocol?
> 
> Not specifically, no. That is exclusively about raises. There is no such
> protocol right now.

shouldn't be when the cient ask to raise and kwin denies it, setting demanding attention cover already part of the use case for attention taskbar items?
Comment 5 Nate Graham 2022-04-06 15:22:52 UTC
Fixed by Aleix Pol with https://invent.kde.org/plasma/kwin/-/merge_requests/2206/diffs?commit_id=52035f43b90738e2efb4fd7b482719c1ea458578 in Plasma 5.25! It may be backported to 5.24, too.

It requires that the app in question actually request activation, though. All KDE apps do at this point, but some 3rd-party apps do not, notable Firefox and Thunderbird, in my testing. So it's up to them to implement the Wayland activation protocol.
Comment 6 Nate Graham 2022-04-06 16:31:06 UTC
...aaaaaand backported to stable.
Comment 7 Andrey 2022-05-18 13:29:40 UTC
(In reply to Nate Graham from comment #5)
> It requires that the app in question actually request activation, though.
> All KDE apps do at this point, but some 3rd-party apps do not, notable
> Firefox and Thunderbird, in my testing. So it's up to them to implement the
> Wayland activation protocol.
Isn't it the implementation for FF?
https://bugzilla.mozilla.org/show_bug.cgi?id=1692119
Comment 8 Nate Graham 2022-05-18 16:38:40 UTC
Nice, looks like they implemented it. I wonder what version it's in. It doesn't seem to be working for me with 100.
Comment 9 Andrey 2022-05-18 16:56:16 UTC
For me it doesn't even always open link from Thunderbird, but sometimes it does.
Works very unstable.
Comment 10 Nate Graham 2022-05-18 17:02:04 UTC
Hmm, sounds kind of like their implementation might be buggy.
Comment 11 Andrey 2022-05-18 19:43:22 UTC
(In reply to Nate Graham from comment #10)
> Hmm, sounds kind of like their implementation might be buggy.
This doesn't happen in Gnome Wayland session, with the very same apps.
Maybe different mechanism is used there, I don't know.